# LinkLabel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [Label](/api/wisej.web/content/wisej.web.label.md)
    * [LinkLabel](/api/wisej.web/content/linklabel.md)

Represents an hyper-link control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class LinkLabel : Label
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class LinkLabel
    Inherits Label
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkLabel()

Initializes a new default instance of the [LinkLabel](/api/wisej.web/content/linklabel.md) class.

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkLabel(text, onLinkClicked)

Initializes a new instance of the [LinkLabel](/api/wisej.web/content/linklabel.md) class with the specified text.

| Name              | Type                                                                                                    | Description                                                                  |
| ----------------- | ------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| **text**          | [String](https://docs.microsoft.com/dotnet/api/system.string)                                           | The text to display on the [LinkLabel](/api/wisej.web/content/linklabel.md). |
| **onLinkClicked** | [Action\<Object, LinkLabelLinkClickedEventArgs>](https://docs.microsoft.com/dotnet/api/system.action-2) | The event handler that executes when the link area is clicked.               |

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkLabel(text, location, size, onLinkClicked)

Initializes a new instance of the [Label](/api/wisej.web/content/wisej.web.label.md) class.

| Name              | Type                                                                                                    | Description                                                    |
| ----------------- | ------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- |
| **text**          | [String](https://docs.microsoft.com/dotnet/api/system.string)                                           | Initial text.                                                  |
| **location**      | [Point](https://docs.microsoft.com/dotnet/api/system.drawing.point)                                     | Initial location.                                              |
| **size**          | [Size](https://docs.microsoft.com/dotnet/api/system.drawing.size)                                       | Initial size.                                                  |
| **onLinkClicked** | [Action\<Object, LinkLabelLinkClickedEventArgs>](https://docs.microsoft.com/dotnet/api/system.action-2) | The event handler that executes when the link area is clicked. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ActiveLinkColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color used to display an active link (while being pressed).

Default value is Color.Red.

### ![](/files/hsR4ok3152WyAf8J2C1u) DisabledLinkColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color used when displaying a disabled link.

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkArea

[LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md): Returns or sets the range in the text to treat as a link.

Default value is a [LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md) with Start=0, Length = -1 **Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The [Start](/api/wisej.web/content/linklabel/wisej.web.linkarea.md#start) property of the [LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md) object is less than zero; or the [Length](/api/wisej.web/content/linklabel/wisej.web.linkarea.md#length) property of the [LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md) object is less than -1.

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkBehavior

[LinkBehavior](/api/wisej.web/enumerations/wisej.web.linkbehavior.md): Returns or sets a value that represents the behavior of a link. (Default: `SystemDefault`)

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color used when displaying a link.

Default value is Color.Blue

### ![](/files/hsR4ok3152WyAf8J2C1u) TabStop

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the user can give the focus to this control using the TAB key. (Default: `False`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnClick(e)

Fires the [Click](/api/wisej.web/general/control.md#click) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnLinkClicked(e)

Fires the [LinkClicked](#linkclicked) event.

| Parameter | Type                                                                                                         | Description                                                                                                                                  |
| --------- | ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| **e**     | [LinkLabelLinkClickedEventArgs](/api/wisej.web/content/linklabel/wisej.web.linklabellinkclickedeventargs.md) | A [LinkLabelLinkClickedEventArgs](/api/wisej.web/content/linklabel/wisej.web.linklabellinkclickedeventargs.md) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/hsR4ok3152WyAf8J2C1u) PerformClick()

Generates a [Click](/api/wisej.web/general/control.md#click) event for the [LinkLabel](/api/wisej.web/content/linklabel.md) control.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkClicked

[LinkLabelLinkClickedEventHandler](/api/wisej.web/content/linklabel/wisej.web.linklabellinkclickedeventhandler.md) Fired when a link is clicked within the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabStopChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [TabStop](/api/wisej.web/content/wisej.web.label.md#tabstop) property changes.

## Implements

| Name                                                                              | Description                                                                                                                           |
| --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.                       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                         |
| [IButtonControl](/api/wisej.web/interfaces/wisej.web.ibuttoncontrol.md)           | Allows a control to act like a button on a [Form](/api/wisej.web/containers/form.md).                                                 |
| [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md)           | Defines an object that can invoke a [Command](/api/wisej.web/interfaces/wisej.web.icommandsource.md#command).                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                                |
| [IErrorProvider](/api/wisej.web/interfaces/wisej.web.ierrorprovider.md)           | Exposes a common api implemented by components that can collect errors in relation to a [Control](/api/wisej.web/general/control.md). |
| [IImage](/api/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                                         |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface.                 |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/linklabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
